Subject: Re: bug#51049: 28.0.50; tool-bar :vert-only property is broken, not documented and of limited use

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Oct 2021 21:27:11 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 6 Oct 2021 14:10:52 -0400
> Cc: [email-masked]
> 
> > It's fine to introduce new features, but why remove old ones while at
> > that?  What is not useful to you could be useful to someone else.
> 
> I'm just asking the question based on my observations.  I don't see a
> use-case for this feature, and if it is indeed broken then the fact that
> no one has complained might be some indication.
> 
> If you think that this feature could be useful, then I have no objection
> to keeping it.  But if it is indeed broken, it should at least be fixed
> to work as intended, and then documented; preferably in that order.

I suggested to step through the code, in order to understand what
happens there.  Then we will have a better idea of whether it works
and when.  I understand that you don't intend to do that, but perhaps
someone else will.  (I myself don't have access to a system where I
can run a GTK build on GUI display, so I unfortunately cannot do this
myself.)